Bug 211061 - security/w3af: Update to 1.6.49, Take MAINTAINER'ship
Summary: security/w3af: Update to 1.6.49, Take MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch-ready
Depends on: 211047 211049 211050 211051 211052 211053 211054 211055 211056 211057 211058 211059 211125
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-12 22:22 UTC by Danilo G. Baio
Modified: 2016-08-02 17:30 UTC (History)
1 user (show)

See Also:


Attachments
w3af_1.6.49_01.patch (310.18 KB, patch)
2016-07-12 22:22 UTC, Danilo G. Baio
koobs: maintainer-approval+
Details | Diff
w3af_1.6.49_03.patch (316.67 KB, patch)
2016-07-16 21:53 UTC, Danilo G. Baio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2016-07-12 22:22:54 UTC
Created attachment 172441 [details]
w3af_1.6.49_01.patch

- update to 1.6.49 ( from 1.0-rc4 ).
  Full changelog: https://github.com/andresriancho/w3af/blob/master/doc/CHANGELOG
- move from SF to Github (now it's the official repository)
- inform LICENSE_FILE.
- add 12 new dependencies.
- remove do-patch section, it's not necessary anymore and also change BUILD_DEPENDS to RUN_DEPENDS.
- apply shebangfix on tools/* .
- add DOCS option
- take maintainership.
- poudriere tests ok FreeBSD 9.3|10.3|11 - i386|amd64 


Poudriere output as example:

build started at Tue Jul 12 19:09:14 BRT 2016
port directory: /usr/ports/security/w3af
building for: FreeBSD 93amd64-ports_dbaio 9.3-RELEASE-p42 FreeBSD 9.3-RELEASE-p42 amd64
maintained by: dbaio@bsd.com.br
Makefile ident:      $FreeBSD: head/security/w3af/Makefile 412349 2016-04-01 14:25:16Z mat $
Poudriere version: 3.2-pre
Host OSVERSION: 1100120
Jail OSVERSION: 903000
[...]
===>   Generating temporary packing list
install  -m 555 /wrkdirs/usr/ports/security/w3af/work/w3af-1.6.49/w3af_console  /wrkdirs/usr/ports/security/w3af/work/stage/usr/local/bin/w3af_console
install  -m 555 /wrkdirs/usr/ports/security/w3af/work/w3af-1.6.49/tools/base64decode  /wrkdirs/usr/ports/security/w3af/work/stage/usr/local/bin/base64decode
install  -m 555 /wrkdirs/usr/ports/security/w3af/work/w3af-1.6.49/tools/base64encode  /wrkdirs/usr/ports/security/w3af/work/stage/usr/local/bin/base64encode
install  -m 555 /wrkdirs/usr/ports/security/w3af/work/w3af-1.6.49/tools/gencc  /wrkdirs/usr/ports/security/w3af/work/stage/usr/local/bin/gencc
install  -m 555 /wrkdirs/usr/ports/security/w3af/work/w3af-1.6.49/tools/md5hash  /wrkdirs/usr/ports/security/w3af/work/stage/usr/local/bin/md5hash
install  -m 555 /wrkdirs/usr/ports/security/w3af/work/w3af-1.6.49/tools/sha1hash  /wrkdirs/usr/ports/security/w3af/work/stage/usr/local/bin/sha1hash
install  -m 555 /wrkdirs/usr/ports/security/w3af/work/w3af-1.6.49/tools/urldecode  /wrkdirs/usr/ports/security/w3af/work/stage/usr/local/bin/urldecode
install  -m 555 /wrkdirs/usr/ports/security/w3af/work/w3af-1.6.49/tools/urlencode  /wrkdirs/usr/ports/security/w3af/work/stage/usr/local/bin/urlencode
====> Compressing man pages (compress-man)
===========================================================================
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done
=======================<phase: package        >============================
===>  Building package for w3af-1.6.49
===========================================================================
=======================<phase: install-mtree  >============================
===========================================================================
====>> Recording filesystem state for preinst... done
=======================<phase: install        >============================
===>  Installing for w3af-1.6.49
===>   w3af-1.6.49 depends on package: py27-lxml>=2.1 - found
===>   w3af-1.6.49 depends on package: py27-simplejson>=2.0 - found
===>   w3af-1.6.49 depends on package: py27-openssl>=0 - found
===>   w3af-1.6.49 depends on package: py27-soappy>=0 - found
===>   w3af-1.6.49 depends on package: py27-sqlite3>0 - found
===>   w3af-1.6.49 depends on package: py27-fpconst>0 - found
===>   w3af-1.6.49 depends on package: py27-nltk>0 - found
===>   w3af-1.6.49 depends on file: /usr/local/lib/python2.7/site-packages/numpy/core/numeric.py - found
===>   w3af-1.6.49 depends on package: py27-pdf>0 - found
===>   w3af-1.6.49 depends on package: scapy>0 - found
===>   w3af-1.6.49 depends on package: py27-wordnet>0 - found
===>   w3af-1.6.49 depends on package: py27-yaml>0 - found
===>   w3af-1.6.49 depends on package: py27-clamd>=1.0.1 - found
===>   w3af-1.6.49 depends on package: py27-pygithub>=1.21 - found
===>   w3af-1.6.49 depends on package: py27-GitPython>=0.3.2 - found
===>   w3af-1.6.49 depends on package: py27-pybloom>=0.3.11 - found
===>   w3af-1.6.49 depends on package: py27-esmre>=0.3.1 - found
===>   w3af-1.6.49 depends on package: py27-phply>=0.9.1 - found
===>   w3af-1.6.49 depends on package: py27-stopit>=1.1.0 - found
===>   w3af-1.6.49 depends on package: py27-chardet>=2.1.1 - found
===>   w3af-1.6.49 depends on package: py27-tblib>=0.2.0 - found
===>   w3af-1.6.49 depends on package: py27-pdfminer=20140328 - found
===>   w3af-1.6.49 depends on package: py27-futures>=2.1.5 - found
===>   w3af-1.6.49 depends on package: py27-ndg_httpsclient>=0.3.3 - found
===>   w3af-1.6.49 depends on package: py27-pyasn1>=0.1.3 - found
===>   w3af-1.6.49 depends on package: py27-lxml>=0.3.2 - found
===>   w3af-1.6.49 depends on package: py27-guess-language>=0.2 - found
===>   w3af-1.6.49 depends on package: py27-cluster>=1.1.1b3 - found
===>   w3af-1.6.49 depends on package: py27-msgpack-python>=0.4.4 - found
===>   w3af-1.6.49 depends on package: py27-python-ntlm>=1.0.1 - found
===>   w3af-1.6.49 depends on package: py27-halberd>=0.2.4 - found
===>   w3af-1.6.49 depends on package: py27-darts.util.lru>=0.5 - found
===>   w3af-1.6.49 depends on package: py27-Jinja2>=2.7.3 - found
===>   w3af-1.6.49 depends on package: py27-vulndb>=0.0.17 - found
===>   w3af-1.6.49 depends on package: py27-markdown>=2.6.1 - found
===>   w3af-1.6.49 depends on file: /usr/local/bin/python2.7 - found
===>   w3af-1.6.49 depends on shared library: libintl.so - found (/usr/local/lib/libintl.so)
===>  Checking if w3af already installed
===>   Registering installation for w3af-1.6.49
[93amd64-ports_dbaio] Installing w3af-1.6.49...
===========================================================================
====>> Checking shared library dependencies
=======================<phase: deinstall      >============================
===>  Deinstalling for w3af
===>   Deinstalling w3af-1.6.49
Updating database digests format: .......... done
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
	w3af-1.6.49

Number of packages to be removed: 1

The operation will free 34 MiB.
[93amd64-ports_dbaio] [1/1] Deinstalling w3af-1.6.49...
[93amd64-ports_dbaio] [1/1] Deleting files for w3af-1.6.49: .......... done
===========================================================================
====>> Checking for extra files and directories
[00:02:28] ====>> Installing from package
[93amd64-ports_dbaio] Installing w3af-1.6.49...
[93amd64-ports_dbaio] Extracting w3af-1.6.49: .......... done
[00:02:31] ====>> Cleaning up
===>  Cleaning for w3af-1.6.49
[00:02:33] ====>> Deinstalling package
Updating database digests format: . done
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
	w3af-1.6.49

Number of packages to be removed: 1

The operation will free 34 MiB.
[93amd64-ports_dbaio] [1/1] Deinstalling w3af-1.6.49...
[93amd64-ports_dbaio] [1/1] Deleting files for w3af-1.6.49: .......... done
build of security/w3af ended at Tue Jul 12 19:11:19 BRT 2016
build time: 00:02:05
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-13 08:56:16 UTC
Thank you Danilo

For future reference, please dont include large log outputs inline (as comments), but instead as attachments. For poudriere QA results, attachments are not required, just mention QA as follows:

portlint: OK (looks fine.)
testport: OK (poudriere: <archs>, <versions> tested)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-13 08:56:37 UTC
Comment on attachment 172441 [details]
w3af_1.6.49_01.patch

Unmaintained port, implicit approval
Comment 3 Dmitry Marakasov freebsd_committer 2016-07-13 13:41:01 UTC
Commands with generic names (base64encode, md5sum) under bin/ is a bad idea: it may conflict with system commands and with other ports (net/urlendec). These should be placed under libexec/w3af.
Comment 4 Danilo G. Baio freebsd_committer 2016-07-14 12:06:03 UTC
(In reply to Kubilay Kocak from comment #1)

Ok, thanks for this feedback.
Comment 5 Danilo G. Baio freebsd_committer 2016-07-14 12:06:59 UTC
(In reply to Dmitry Marakasov from comment #3)

I will move these tools to libexec/w3af as you suggested, thanks.
After tests I will submit a new patch.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-14 12:08:27 UTC
Patch needs an update as per comment 3
Comment 7 Danilo G. Baio freebsd_committer 2016-07-16 21:27:52 UTC
Linking bug #211125
Comment 8 Danilo G. Baio freebsd_committer 2016-07-16 21:53:32 UTC
Created attachment 172592 [details]
w3af_1.6.49_03.patch


- now using security/py-pyclamd. The code is newer and compatible with python 3.
- w3af tools are placed on libexec directory as asked on comment #3.
- fix a problem that prevents the creation of .w3af directory. (Thanks egypcio)

Another around of poudriere testbuilds.

testport: OK
	poudriere: i386,  10.3 (tested)
	poudriere: amd64, 10.3 (tested)

	poudriere: i386,  9.3  (tested)
	poudriere: amd64, 9.3  (tested)

	poudriere: i386,  11   (tested)
	poudriere: amd64, 11   (tested)
Comment 9 Kurt Jaeger freebsd_committer 2016-08-01 20:12:22 UTC
dependency tk86 fails to build after update to 8.6.6, waiting for fix
Comment 10 Kurt Jaeger freebsd_committer 2016-08-02 08:36:30 UTC
testbuilds are fine.
Comment 11 Kurt Jaeger freebsd_committer 2016-08-02 17:29:50 UTC
Committed, thanks for your great work on that port!
Comment 12 commit-hook freebsd_committer 2016-08-02 17:30:12 UTC
A commit references this bug:

Author: pi
Date: Tue Aug  2 17:29:24 UTC 2016
New revision: 419486
URL: https://svnweb.freebsd.org/changeset/ports/419486

Log:
  security/w3af: 1.0-rc4 -> 1.6.49

  - move from SF to new official repo at Github
  - set LICENSE_FILE
  - add 12 new dependencies
  - remove do-patch section
  - change BUILD_DEPENDS to RUN_DEPENDS
  - apply shebangfix on tools/*
  - add DOCS option
  - submitter becomes maintainer

  PR:		211061
  Changes:	https://github.com/andresriancho/w3af/blob/master/doc/CHANGELOG
  Submitted by:	Danilo G. Baio <dbaio@bsd.com.br>

Changes:
  head/security/w3af/Makefile
  head/security/w3af/distinfo
  head/security/w3af/files/patch-w3af__console
  head/security/w3af/files/patch-w3af__gui
  head/security/w3af/files/patch-w3af_plugins_grep_clamav.py
  head/security/w3af/files/patch-w3af_plugins_tests_grep_test__clamav.py
  head/security/w3af/files/w3af_console.sh
  head/security/w3af/files/w3af_gui.sh
  head/security/w3af/pkg-plist